/* ------------------------------------------------------------------------------
 *
 *  # Bootstrap file input
 *
 *  Styles for fileinput.min.js - an enhanced HTML 5 file input for Bootstrap
 *
 * ---------------------------------------------------------------------------- */
.btn-file {
    position: relative;
    overflow: hidden; }
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    text-align: right;
    opacity: 0;
    background: none repeat scroll 0 0 transparent;
    cursor: inherit;
    display: block;
    visibility: visible; }

.file-caption-name {
    display: inline-block;
    overflow: hidden;
    word-break: break-all;
    font-family: "Roboto", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    width: 100%;
    margin: 0;
    padding: 0;
    box-shadow: none;
    border: 0;
    background: none;
    outline: 0;
    pointer-events: none; }
.file-input-new .file-caption-name,
.file-input-ajax-new .file-caption-name {
    color: #999; }

.file-error-message {
    position: relative;
    background-color: #FFEBEE;
    color: #C62828;
    text-align: center;
    padding: 0.4375rem 0.875rem;
    margin: 0.5rem;
    margin-top: 0;
    border-radius: 0.1875rem; }
.file-drop-zone .file-error-message {
    margin-top: 0.4375rem; }
.file-error-message .close {
    color: #C62828; }
.file-error-message pre {
    background-color: #fff;
    margin-top: 0.4375rem;
    text-align: left; }
.file-error-message ul {
    list-style: none;
    padding: 0;
    margin: 0; }

.file-caption-disabled {
    background-color: #fafafa;
    cursor: default; }

.file-preview-detail-modal {
    text-align: left; }

.file-preview {
    border: unset;
    width: 100%;
    margin-bottom: 0;
    position: relative;
    text-align: center;
    border-radius: 0;
}
.file-preview .close {
    font-size: 19px;
    font-weight: 400;
    position: absolute;
    top: 0;
    right: 0;
    padding: 0.5rem;
    line-height: 1;
    color: #333;
    text-shadow: none;
    opacity: 0.75;
    border-radius: 0.1875rem;
}
.file-preview .close:hover, .file-preview .close:focus {
    color: #333;
    text-decoration: none;
    opacity: 1; }

.file-preview-thumbnails {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: relative;
    width: 100%;
}
@media (max-width: 767.98px) {
    .file-preview-thumbnails {
        -ms-flex-pack: center;
        justify-content: center; } }

.file-preview-frame {
    margin: 0;
    margin-right: 0;
    border: unset;
    background-color: unset;
    border-radius: 0;
    width: 100%;
}
.file-preview-frame .kv-file-content {
    position: relative;
    height: 100%;
    width: 100%;
}

.file-preview-image {
    border-top-left-radius: 0.125rem;
    border-top-right-radius: 0.125rem; }

.file-thumbnail-footer {
    position: relative;
    background-color: #fafafa;
    border-top: 1px solid #ddd;
    display: none;
}

.file-preview-text {
    color: #2196F3;
    border: 0;
    overflow-x: hidden; }

.file-preview-other {
    width: 10rem; }
.file-preview-other:after {
    content: "";
    font-family: "icomoon";
    line-height: 1;
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 4rem;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; }

.file-preview-status {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #fafafa;
    border-top: 1px solid #ddd;
    font-size: 0.75rem;
    line-height: 1.6667;
    padding: 0.4375rem 0.875rem;
    z-index: 1070;
    border-bottom-right-radius: 0.1875rem;
    border-bottom-left-radius: 0.1875rem; }
.file-preview-status:empty {
    padding: 0;
    background-color: transparent;
    border: 0; }

.file-thumb-loading {
    min-height: 6.62503rem; }

.file-thumb-loading:before,
.file-uploading:before {
    content: '';
    display: inline-block;
    background-color: #263238;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 1069;
    margin-top: -2.06252rem;
    margin-left: -1rem;
    width: 2rem;
    height: 2rem;
    border-radius: 0.1875rem; }

.file-thumb-loading:after,
.file-uploading:after {
    content: "";
    font-family: "icomoon";
    display: inline-block;
    position: absolute;
    color: #fff;
    top: 50%;
    left: 50%;
    margin-top: -1.56252rem;
    margin-left: -0.5rem;
    font-size: 1rem;
    line-height: 1;
    z-index: 1070;
    -webkit-animation: rotation 1s linear infinite;
    animation: rotation 1s linear infinite;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; }

.file-upload-indicator {
    cursor: default;
    float: left;
    padding: 0.625rem;
    line-height: 1; }
.file-upload-indicator i {
    top: 0; }

.file-input-new .file-preview,
.file-input-new .close,
.file-input-new .glyphicon-file,
.file-input-new .fileinput-remove-button,
.file-input-new .fileinput-upload-button {
    display: none; }

.file-input-ajax-new .fileinput-remove-button,
.file-input-ajax-new .fileinput-upload-button,
.file-input-ajax-new .close {
    display: none; }

.kv-hidden,
.file-caption-icon,
.file-zoom-dialog .modal-header:before,
.file-zoom-dialog .modal-header:after,
.hide-content .kv-file-content {
    display: none; }

.file-footer-buttons {
    float: right; }
.file-footer-buttons button {
    padding: 0.625rem;
    background-color: transparent;
    border: 0;
    line-height: 1;
    cursor: pointer;
    opacity: 0.6;
    outline: 0;
    transition: opacity ease-in-out 0.15s; }
@media (prefers-reduced-motion: reduce) {
    .file-footer-buttons button {
        transition: none; } }
.file-footer-buttons button:hover {
    opacity: 1; }
.file-footer-buttons button i {
    top: 0; }

.file-footer-caption {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    padding: 0.75rem;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    margin-left: auto;
    margin-right: auto; }

.file-size-info samp {
    font-size: 0.6875rem; }

.file-drop-zone {
    border: 1px dashed #ddd;
    height: 100%;
    vertical-align: middle;
    margin: 0.5rem;
    padding: 0.5rem;
    border-radius: 0.1875rem; }

.file-drop-zone-title {
    font-size: 1.1875rem;
    font-weight: 300;
    padding: 5rem;
    opacity: 0.5;
    opacity: 1;
    width: 100%;
}

.kv-upload-progress {
    margin-bottom: 1.25rem; }

.file-thumb-progress {
    position: absolute;
    top: -0.375rem;
    left: 0;
    right: 0; }
.file-thumb-progress .progress,
.file-thumb-progress .progress-bar {
    height: 0.375rem;
    border-radius: 0;
    font-size: 0; }

.btn-file ::-ms-browse {
    width: 100%;
    height: 100%; }

.file-zoom-fullscreen .modal-dialog {
    position: fixed;
    margin: 0;
    width: 100%;
    height: 100%;
    padding: 0;
    max-width: 100%; }

.file-zoom-fullscreen .modal-content {
    border-radius: 0; }

.file-zoom-fullscreen .modal-body {
    overflow-y: auto; }

.file-zoom-dialog .btn-navigate {
    position: absolute;
    top: 50%;
    padding: 0;
    border: 0;
    background-color: transparent;
    outline: none;
    color: #fff;
    opacity: 0.7;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    transition: opacity ease-in-out 0.15s; }
@media (prefers-reduced-motion: reduce) {
    .file-zoom-dialog .btn-navigate {
        transition: none; } }
.file-zoom-dialog .btn-navigate > i {
    display: block;
    font-size: 2rem; }
.file-zoom-dialog .btn-navigate:not([disabled]):hover, .file-zoom-dialog .btn-navigate:not([disabled]):focus {
    outline: none;
    box-shadow: none !important;
    opacity: 1; }
.file-zoom-dialog .btn-navigate[disabled] {
    opacity: 0.3; }

.file-zoom-dialog .btn-prev {
    left: -3.25rem; }

.file-zoom-dialog .btn-next {
    right: -3.25rem; }

.file-zoom-dialog .floating-buttons {
    position: absolute;
    top: 1.25rem 1.25rem;
    right: 1.25rem 1.25rem;
    background-color: #fff; }

.file-zoom-dialog .kv-zoom-title {
    color: #999;
    margin-left: 0.625rem; }

.file-zoom-content {
    text-align: center; }

.file-drag-handle {
    cursor: move;
    float: left;
    line-height: 1;
    opacity: 0.6;
    transition: opacity ease-in-out 0.15s; }
@media (prefers-reduced-motion: reduce) {
    .file-drag-handle {
        transition: none; } }
.file-drag-handle:hover {
    opacity: 1; }
.file-drag-handle i {
    top: 0; }



.file-input .browselabelbtn.btn-file {
    background: #8eb429;
    border: 0;
    border-radius: 0;
    border-color: #a1c642;
    color: #ffffff;
    display: inline-block;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    padding: 5px 13px;
    text-align: center;
    text-decoration: none;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    height: 36px;
    margin: 0;
}

.file-input .form-control {border-radius: 0 !important;line-height: 22px;height: 37px;padding: 6px;}
.file-input
.input-group.file-caption-main {
    display: flex;
    flex-direction: row-reverse;
}
.file-input
.file-caption.form-control.kv-fileinput-caption.icon-visible {
    border-radius: 0 !important;
    line-height: 22px;
    height: 37px;
    padding: 6px;
}
.file-input
.btn-secondary {
    background: red;
    border-radius: 0;
    border: 0;
    line-height: 24px;
    margin: 0;
    height: 0;
    width: 0;
    display: none;
}
.file-input
.input-group-btn.input-group-append {
    display: flex;
    align-items: center;
}




.file-drop-zone {display: grid;align-items: center;justify-content: center;}
.file-preview .close {
    background: #c50202;
    color: #FFF;
    border: 0;
    opacity: 1;
    border-radius: 0;
    z-index: 1;
    padding: 5px 12px;
}


input#video_input {
    opacity: 0;
    height: 0;
    width: 0;
    position: absolute;
}

.file-input-area.iskan_space_top {
    background: #d4d4d4;
}

.file-drop-zone {
    padding: 0;
    margin: 0;
    width: 100%;
    border: 0;
}

.file-caption-info {
    display: none;
}

.input-group.upload505 {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.input-group.upload505 button {
    border-radius: 0 !important;
    border: 0 !important;
    height: 100%;
    line-height: 23px;
}

.fileinput-upload-button {
    background: #002940;
    border-radius: 0;
    color: #FFF !important;
    border: 0;
    height: 100%;
}

.file-input .file-caption.form-control.kv-fileinput-caption.icon-visible {
    border: 0 !important;
    line-height: 21px;
    height: 100%;
    line-height: 23px;
    margin-top: 1px;
    border: 0 !important;
}

.file-input .browselabelbtn.btn-file {
    line-height: 21px;
    padding: 6px 13px;
    height: 100%;
    line-height: 23px;
}
.file-preview
.file-drop-zone-title
b {
    font-weight: bold;
    color: #002940 !important;
    opacity: 1;
    font-size: 15px;
    margin-top: 8px;
    display: block;
    margin-bottom: 8px;
}




.uploadvideo {
    opacity: 0.5;
    font-size: 72px;
}
video.kv-preview-data.file-preview-video {
    width: 100% !important;
    height: 100% !important;
}
.clearfix {
    display: none;
}

.file-input.kv-rtl {
}
button.remove200 {
    position: absolute;
    z-index: 1;
    background: red;
    border: 0;
    color: #FFF;
    font-size: 17px;
}
